use super::{Color, Edge};
use yew::Classes;

#[derive(Clone, PartialEq)]
pub struct Border(pub Edge, pub Color);

impl From<&&Border> for Classes {
    fn from(border: &&Border) -> Classes {
        let edge = match border.0 {
            Edge::All => "border".to_owned(),
            _ => border.0.with_prefix("border"),
        };
        Classes::from(format!("{} {}", edge, border.1.with_prefix("border")))
    }
}
